dyre-0.9.2: Dynamic reconfiguration in Haskell

Safe Haskell | None
Language | Haskell2010

Config.Dyre.Compile

Description

Compiling the custom executable. The majority of the code actually deals with error handling, and not the compilation itself per se.

Synopsis

- customCompile :: Params cfgType a -> IO ()
- getErrorPath :: Params cfgType a -> IO FilePath
- getErrorString :: Params cfgType a -> IO (Maybe String)

# Documentation

customCompile :: Params cfgType a -> IO () Source #

Attempts to compile the configuration file. Will return a string containing any compiler output.

getErrorPath :: Params cfgType a -> IO FilePath Source #

Return the path to the error file.

getErrorString :: Params cfgType a -> IO (Maybe String) Source #

If the error file exists and actually has some contents, return `Just` the error string. Otherwise return `Nothing`.